<?php
$wp_customize->add_section(
    'homepage_slider_banner_option',
    array(
        'title' => __('Carousel Banner', 'nextzenmag'),
        'panel' => 'front_page_theme_options_panel',
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'nextzenmag_options[enable_slider_banner_section]',
    array(
        'default' => $nextzenmag_default['enable_slider_banner_section'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_slider_banner_section]',
    array(
        'label' => __('Enable Carousel Banner Section', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[title_slider_banner_section]',
    array(
        'default'           => $nextzenmag_default['title_slider_banner_section'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[title_slider_banner_section]',
    array(
        'label'    => __( 'Section Title', 'nextzenmag' ),
        'section'  => 'homepage_slider_banner_option',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[number_of_slider_post]',
    array(
        'default' => $nextzenmag_default['number_of_slider_post'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[number_of_slider_post]',
    array(
        'label' => __('Post In Slider', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => array(
            '3' => __('3', 'nextzenmag'),
            '4' => __('4', 'nextzenmag'),
            '5' => __('5', 'nextzenmag'),
            '6' => __('6', 'nextzenmag'),
        ),
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[banner_section_cat]',
    array(
        'default'           => $nextzenmag_default['banner_section_cat'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Nextzenmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'nextzenmag_options[banner_section_cat]',
        array(
            'label'           => __( 'Choose  Category', 'nextzenmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'nextzenmag' ),
            'section'         => 'homepage_slider_banner_option',
        )
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_post_description]',
    array(
        'default' => $nextzenmag_default['enable_banner_post_description'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_post_description]',
    array(
        'label' => __('Enable Post Description', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_overlay]',
    array(
        'default' => $nextzenmag_default['enable_banner_overlay'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_overlay]',
    array(
        'label' => __('Enable Banner Overlay', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[slider_post_content_alignment]',
    array(
        'default' => $nextzenmag_default['slider_post_content_alignment'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[slider_post_content_alignment]',
    array(
        'label' => __('Content Vertical Alignment', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => array(
            'banner-description-top' => __('Vertical alignment top', 'nextzenmag'),
            'banner-description-space' => __('Vertical alignment space between', 'nextzenmag'),
            'banner-description-bottom' => __('Vertical alignment bottom', 'nextzenmag'),
        ),
    )
);

$wp_customize->add_setting(
    'nextzenmag_section_seperator_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Nextzenmag_Seperator_Control(
        $wp_customize,
        'nextzenmag_section_seperator_banner',
        array(
            'label'         => esc_html__( 'Banner Slider Meta', 'nextzenmag' ),
            'settings' => 'nextzenmag_section_seperator_banner',
            'section' => 'homepage_slider_banner_option',
        )
    )
);


$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_slider_author_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_slider_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_slider_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_author_meta]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_author_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => nextzenmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[banner_slider_author_meta_title]',
    array(
        'default' => $nextzenmag_default['banner_slider_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[banner_slider_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_slider_date_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_slider_date_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_slider_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_date]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_date'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => nextzenmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_date_meta_title]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_date_format]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_date_format'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => nextzenmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_slider_category_meta]',
    array(
        'default' => $nextzenmag_default['enable_banner_slider_category_meta'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_slider_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_number_of_category]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_number_of_category]',
    array(
        'label' => __('Number of Category', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'nextzenmag_options[banner_slider_category_label]',
    array(
        'default' => $nextzenmag_default['banner_slider_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[banner_slider_category_label]',
    array(
        'label' => __('Category Label', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'nextzenmag_options[select_banner_slider_category_color]',
    array(
        'default' => $nextzenmag_default['select_banner_slider_category_color'],
        'sanitize_callback' => 'nextzenmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[select_banner_slider_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'select',
        'choices' => nextzenmag_category_color(),
    )
);

/* Home Page Layout */
$wp_customize->add_setting(
    'nextzenmag_options[enable_banner_control_icon]',
    array(
        'default' => $nextzenmag_default['enable_banner_control_icon'],
        'sanitize_callback' => 'nextzenmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'nextzenmag_options[enable_banner_control_icon]',
    array(
        'label' => __('Enable Slider Control', 'nextzenmag'),
        'section' => 'homepage_slider_banner_option',
        'type' => 'checkbox',
    )
);